site_name: gemseo-calibration
site_url: https://gemseo.gitlab.io/gemseo-calibration
repo_url: https://gitlab.com/gemseo/dev/gemseo-calibration
repo_name: gemseo-calibration

theme:
  name: material
  favicon: images/favicon.ico
  features:
    - navigation.tabs
    - navigation.instant
  palette:
    - scheme: default
      primary: teal
      toggle:
        icon: material/lightbulb-outline
        name: Switch to dark mode
    - scheme: slate
      primary: teal
      toggle:
        icon: material/lightbulb
        name: Switch to light mode
  icon:
    repo: fontawesome/brands/gitlab

plugins:
- search
- markdown-exec
- gen-files:
    scripts:
    - docs/gen_ref_nav.py
- literate-nav:
    nav_file: SUMMARY.md
- section-index
- mkdocstrings:
    handlers:
      python:
        paths: [src]
        import:
        - https://docs.python.org/3/objects.inv
        - https://gemseo.readthedocs.io/en/stable/objects.inv
        - https://matplotlib.org/stable/objects.inv
        - https://numpy.org/doc/stable/objects.inv
        - https://docs.scipy.org/doc/scipy/objects.inv
        - https://openturns.github.io/openturns/latest/objects.inv
        - https://scikit-learn.org/stable/objects.inv
        options:
          extensions:
          - griffe_inherited_docstrings
          - docstring_inheritance.griffe
          - griffe_fieldz
          filters:
          - "!^_"
          docstring_options:
#            ignore_init_summary: true
            returns_multiple_items: False
          docstring_section_style: list
          # heading_level: 1
          inherited_members: true
#          preload_modules:
#          - gemseo
          merge_init_into_class: true
          separate_signature: true
          show_root_heading: true
          show_root_full_path: false
          show_signature_annotations: true
          show_symbol_type_heading: true
          show_symbol_type_toc: true
          show_category_heading: true
          signature_crossrefs: true
- gallery:
    conf_script: docs/gallery_conf.py
    default_thumb_file: docs/images/monogram.png
- include-markdown
- bibtex:
    bib_file: "docs/references.bib"
- mike:
    canonical_version: latest
    # Gitlab pages expects the docs in this directory.
    deploy_prefix: public

nav:
- Home:
  - Overview: index.md
  - Changelog: changelog.md
  - Credits: credits.md
  - Licenses: licenses.md
- User guide: user_guide/
- Examples: generated/examples/calibration
- API documentation: reference/gemseo_calibration/

markdown_extensions:
- admonition
- pymdownx.details
- pymdownx.arithmatex:
    generic: true
- pymdownx.superfences:
    custom_fences:
      - name: mermaid
        class: mermaid
- footnotes
- toc:
    permalink: true
- pymdownx.snippets
- pymdownx.emoji:
    emoji_index: !!python/name:material.extensions.emoji.twemoji
    emoji_generator: !!python/name:material.extensions.emoji.to_svg

extra_javascript:
- javascripts/mathjax.js
- https://polyfill.io/v3/polyfill.min.js?features=es6
- https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js

watch:
  - src/gemseo_calibration
  - README.md
  - CHANGELOG.md

extra:
  version:
    provider: mike
